summaryrefslogtreecommitdiffstats
path: root/development/THE
diff options
context:
space:
mode:
author Richard Narron <richard@aaazen.com>2012-08-13 14:53:45 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-13 14:53:45 -0500
commite2e8c6e5bec54001c47329059720ae865b90bdcd (patch)
tree4e8a5a9646e282f55348b366b5c66531da7a5bf0 /development/THE
parent4f143d1ef10883b02f9cfa870c4cc4c51856be79 (diff)
downloadslackbuilds-e2e8c6e5bec54001c47329059720ae865b90bdcd.tar.gz
slackbuilds-e2e8c6e5bec54001c47329059720ae865b90bdcd.tar.xz
development/THE: Added (The Hessling Editor)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development/THE')
-rw-r--r--development/THE/README6
-rw-r--r--development/THE/THE.SlackBuild90
-rw-r--r--development/THE/THE.info10
-rw-r--r--development/THE/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/development/THE/README b/development/THE/README
new file mode 100644
index 0000000..4fad94e
--- /dev/null
+++ b/development/THE/README
@@ -0,0 +1,6 @@
+The Hessling Editor (THE) is a powerful text editor modelled on the
+VM/CMS text editor XEDIT with the best features of Mansfield Software's
+Kedit. THE uses Regina Rexx as its macro language, which means that
+THE is a highly configurable and versatile editor.
+
+This requires regina-rexx.
diff --git a/development/THE/THE.SlackBuild b/development/THE/THE.SlackBuild
new file mode 100644
index 0000000..ee6f762
--- /dev/null
+++ b/development/THE/THE.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for The Hessling Editor
+
+# Written by Richard Narron (richard@aaazen.com)
+
+PRGNAM=THE
+VERSION=${VERSION:-3.3RC1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --with-ncurses \
+ --with-rexx=regina \
+ --build=$ARCH-slackware-linux \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc
+
+make
+make html
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a \
+ COPYING FAQ HISTORY INSTALL README* THE*spec TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *html the64.gif the64.png $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/THE/THE.info b/development/THE/THE.info
new file mode 100644
index 0000000..0087053
--- /dev/null
+++ b/development/THE/THE.info
@@ -0,0 +1,10 @@
+PRGNAM="THE"
+VERSION="3.3RC1"
+HOMEPAGE="http://hessling-editor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/hessling-editor/THE-3.3RC1.tar.gz"
+MD5SUM="e46b63e533bc458f6f701983b7f2150b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Richard Narron"
+EMAIL="richard@aaazen.com"
+APPROVED="rworkman"
diff --git a/development/THE/slack-desc b/development/THE/slack-desc
new file mode 100644
index 0000000..11747c7
--- /dev/null
+++ b/development/THE/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+THE: THE (The Hessling Editor)
+THE:
+THE: The Hessling Editor (THE) is a text editor modelled after the
+THE: IBM VM/CMS text editor XEDIT with the best features of
+THE: Mansfield Software's Kedit.
+THE:
+THE: THE uses Regina Rexx as its macro language, which means
+THE: that THE is a highly configurable and versatile editor.
+THE:
+THE: Homepage: http://hessling-editor.sourceforge.net/
+THE: